MFE Consensus Structures for Sequence Alignment(s)
RNA Secondary Structure Prediction » Predicting Consensus Structures from Alignment(s) RNA Secondary Structure Prediction » | Computing Minimum Free Energy (MFE) Structures
Collaboration diagram for MFE Consensus Structures for Sequence Alignment(s):

## Functions

float | vrna_alifold (const char **ssequences, char *structure)
| Compute Minimum Free Energy (MFE), and a corresponding consensus secondary structure for an RNA sequence alignment using a comparative method. More...
float | vrna_circalifold (const char **ssequences, char *structure)
| Compute Minimum Free Energy (MFE), and a corresponding consensus secondary structure for a sequence alignment of circular RNAs using a comparative method. More...
float | alifold (const char **strings, char *structure)
| Compute MFE and according consensus structure of an alignment of sequences. More...
float | circalifold (const char **strings, char *structure)
| Compute MFE and according structure of an alignment of sequences assuming the sequences are circular instead of linear. More...
void | free_alifold_arrays (void)
| Free the memory occupied by MFE alifold functions. More...

## Detailed Description

## Function Documentation

float vrna_alifold | ( | const char ** | ssequences,
|  | char * | structure
| ) |  |

`#include <ViennaRNA/alifold.h>`

Compute Minimum Free Energy (MFE), and a corresponding consensus secondary structure for an RNA sequence alignment using a comparative method.

This simplified interface to vrna_mfe() computes the MFE and, if required, a consensus secondary structure for an RNA sequence alignment using default options. Memory required for dynamic programming (DP) matrices will be allocated and free'd on-the-fly. Hence, after return of this function, the recursively filled matrices are not available any more for any post-processing, e.g. suboptimal backtracking, etc.

Note
  In case you want to use the filled DP matrices for any subsequent post-processing step, or you require other conditions than specified by the default model details, use vrna_mfe(), and the data structure vrna_fold_compound_t instead.

See also
  vrna_circalifold(), vrna_mfe(), vrna_fold_compound(), vrna_fold_compound_t

Parameters

  sequences | RNA sequence alignment
  structure | A pointer to the character array where the secondary structure in dot-bracket notation will be written to

Returns
  the minimum free energy (MFE) in kcal/mol

float vrna_circalifold | ( | const char ** | ssequences,
|  | char * | structure
| ) |  |

`#include <ViennaRNA/alifold.h>`

Compute Minimum Free Energy (MFE), and a corresponding consensus secondary structure for a sequence alignment of circular RNAs using a comparative method.

This simplified interface to vrna_mfe() computes the MFE and, if required, a consensus secondary structure for an RNA sequence alignment using default options. Memory required for dynamic programming (DP) matrices will be allocated and free'd on-the-fly. Hence, after return of this function, the recursively filled matrices are not available any more for any post-processing, e.g. suboptimal backtracking, etc.

Folding of circular RNA sequences is handled as a post-processing step of the forward recursions. See [6] for further details.

Note
  In case you want to use the filled DP matrices for any subsequent post-processing step, or you require other conditions than specified by the default model details, use vrna_mfe(), and the data structure vrna_fold_compound_t instead.

See also
  vrna_alifold(), vrna_mfe(), vrna_fold_compound(), vrna_fold_compound_t

Parameters

  sequences | Sequence alignment of circular RNAs
  structure | A pointer to the character array where the secondary structure in dot-bracket notation will be written to

Returns
  the minimum free energy (MFE) in kcal/mol

float alifold | ( | const char ** | strings,
|  | char * | structure
| ) |  |

`#include <ViennaRNA/alifold.h>`

Compute MFE and according consensus structure of an alignment of sequences.

This function predicts the consensus structure for the aligned 'sequences' and returns the minimum free energy; the mfe structure in bracket notation is returned in 'structure'.

Sufficient space must be allocated for 'structure' before calling alifold().

Deprecated:
  Usage of this function is discouraged! Use vrna_alifold(), or vrna_mfe() instead!
  See also
    vrna_alifold(), vrna_mfe()

Parameters

  strings | A pointer to a NULL terminated array of character arrays
  structure | A pointer to a character array that may contain a constraining consensus structure (will be overwritten by a consensus structure that exhibits the MFE)

Returns
  The free energy score in kcal/mol

float circalifold | ( | const char ** | strings,
|  | char * | structure
| ) |  |

`#include <ViennaRNA/alifold.h>`

Compute MFE and according structure of an alignment of sequences assuming the sequences are circular instead of linear.

Deprecated:
  Usage of this function is discouraged! Use vrna_alicircfold(), and vrna_mfe() instead!
  See also
    vrna_alicircfold(), vrna_alifold(), vrna_mfe()

Parameters

  strings | A pointer to a NULL terminated array of character arrays
  structure | A pointer to a character array that may contain a constraining consensus structure (will be overwritten by a consensus structure that exhibits the MFE)

Returns
  The free energy score in kcal/mol

void free_alifold_arrays | ( | void |  | ) |

`#include <ViennaRNA/alifold.h>`

Free the memory occupied by MFE alifold functions.

Deprecated:
  Usage of this function is discouraged! It only affects memory being free'd that was allocated by an old API function before. Release of memory occupied by the newly introduced vrna_fold_compound_t is handled by vrna_vrna_fold_compound_free()

See also
  vrna_vrna_fold_compound_free()